# pyflakes: disable-msg=E501

from django.conf.urls.defaults import *
from thuvien.collection.models import Collection, Volume


collection_dict = dict(queryset=Collection.objects.all())
volume_dict = dict(queryset=Volume.objects.all())

GENERIC_OBJ_DETAIL = 'django.views.generic.list_detail.object_detail'

urlpatterns = patterns(
    '',
    # http://example.com/collection
    (r'^$', 'django.views.generic.list_detail.object_list', collection_dict),
    # http://example.com/collection/1
    (r'^(?P<object_id>\d+)/$', GENERIC_OBJ_DETAIL, collection_dict),
    # http://example.com/collection/1/volume/2/
    #(r'^\d+/volume/(?P<object_id>\d+)/$', GENERIC_OBJ_DETAIL, volume_dict),
    (r'\d+/volume/(?P<object_id>\d+)/$', 'thuvien.collection.views.volume_index'),
    # http://example.com/collection/1/volume/2/pages
    (r'\d+/volume/(?P<object_id>\d+)/pages/$', 'thuvien.collection.views.pages'),
    (r'\d+/volume/(?P<object_id>\d+)/pages-thumbs/$', 'thuvien.collection.views.page_thumbnails_frame'),
    # http://example.com/collection/1/volume/2/page/1
    (r'\d+/volume/(?P<volume_id>\d+)/page/(?P<page_id>\d+)$', 'thuvien.collection.views.page'),

    #url(r'\d+/volume/(?P<object_id>\d+)/$', GENERIC_OBJ_DETAIL,
    #    dict(volume_dict, template_name='collections/volume_show.html'), 'volume_pages'),
    )
